services :
    # default configuration for services in *this* file
    _defaults :
        # automatically injects dependencies in your services
        autowire : true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure : true
        # this means you cannot fetch services directly from the container via $container->get()
        # if you need to do this, you can override this setting on individual services
        public : true

    # controllers are imported separately to make sure they're public
    # and have a tag that allows actions to type-hint services
    AssetUploadBundle\Controller\ :
        resource : '../src/Controller'
        public : true
        tags : [ 'controller.service_arguments' ]



        # add more services, or override services that need manual wiring
        #    AssetUploadBundle\ExampleClass:
        #        arguments:
        #            - "@service_id"
        #            - "plain_value"
        #            - "%parameter%"
    AssetUploadBundle\DataTarget\CoreShopDynamicDropdownDataTarget :
        tags :
            - { name : 'pimcore.datahub.data_importer.data_target', type : 'coreshopDynamicDropdown', priority : 100 }
        public : true
